Skip to main content

Supported Assets

MartianPay supports multiple cryptocurrencies and fiat currencies across various blockchain networks. This page lists all currently supported assets.

Query Supported Assets​

Use the following APIs to query available assets:

APIEndpointDescription
List AssetsGET /v1/assetsReturns assets enabled for your merchant account
List All AssetsGET /v1/assets/allReturns all assets supported by the system

Difference: /v1/assets only returns assets activated for your account (used for business operations). /v1/assets/all returns all system-supported assets (used for discovery).

curl --location --request GET 'https://api.martianpay.com/v1/assets' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic {BASE64_ENCODE(api_key + ":")}'

Cryptocurrency Assets​

Stablecoins​

Asset IDCoinNetworkDecimalsContract Address
USDT-TronUSDTTron6TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
USDT-EthereumUSDTEthereum60xdAC17F958D2ee523a2206206994597C13D831ec7
USDT-SolanaUSDTSolana6Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
USDT-AvalancheUSDTAvalanche C-Chain60x9702230A8Ea53601f5cD2dc00fDBc13d4dF4A8c7
USDT-TonUSDTTon6EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs
USDT-BSCUSDTBNB Smart Chain180x55d398326f99059fF775485246999027B3197955
USDT.e-AvalancheUSDT.eAvalanche C-Chain60xc7198437980c041c805A1EDcbA50c1Ce5db95118
USDC-EthereumUSDCEthereum60xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48
USDC-SolanaUSDCSolana6EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
USDC-AvalancheUSDCAvalanche C-Chain60xB97EF9Ef8734C71904D8002F8b6Bc66Dd9c48a6E
USDC-BaseUSDCBase60x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913
USDC-ArbitrumUSDCArbitrum60xaf88d065e77c8cC2239327C5EDb3A432268e5831
USDC.e-AvalancheUSDC.eAvalanche C-Chain60xA7D7079b0FEaD91F3e65f86E8915Cb59c1a4C664
USDC.e-ArbitrumUSDC.eArbitrum60xFF970A61A04b1cA14834A43f5dE4533eBDDB5CC8

Supported Networks​

NetworkCoinsExplorer
TronUSDTtronscan.io
EthereumUSDT, USDCetherscan.io
SolanaUSDT, USDCsolscan.io
Avalanche C-ChainUSDT, USDT.e, USDC, USDC.eavax.network
BaseUSDCbasescan.org
TonUSDTtonscan.org
BNB Smart ChainUSDTbscscan.com
ArbitrumUSDC, USDC.earbiscan.io

Fiat Currency Assets​

Asset IDCoinDisplay NameDecimalsProvider
USDUSDUS Dollar2-
USD-STRIPEUSDUS Dollar2Stripe
CNY-STRIPECNYChinese Yuan2Stripe
CNY-WECHATCNYChinese Yuan2WeChat
CNY-ALIPAYCNYChinese Yuan2Alipay

Note: PayerMax (USD-PAYERMAX) is currently not supported. It may appear in the API response but is not available for use.


Response Field Description​

FieldDescription
idUnique asset identifier (e.g., "USDT-Tron")
display_nameHuman-readable name
coinCryptocurrency/currency code (e.g., "USDT", "USDC")
is_fiattrue for fiat currencies, false for crypto
decimalsNumber of decimal places
payableWhether the asset can be used for payments
networkBlockchain network name (crypto only)
is_mainnettrue for production networks
contract_addressToken smart contract address (crypto only)
tokenToken symbol
chain_idEVM chain ID (0 for non-EVM chains)
symbolCurrency symbol (fiat only, e.g., "$", "¥")
providerPayment provider (fiat only)
address_url_templateBlockchain explorer URL template for addresses (replace %s with address)
tx_url_templateBlockchain explorer URL template for transactions (replace %s with tx hash)